commit: 31782c3e19777e7ee8a76541f76eca75ca65a20d
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 11 20:43:55 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Dec 11 20:44:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31782c3e
games-action/multimc-bin: add missing dep
- add dep on zenity (TODO: make this work with qt alternative for zentiy: qarma)
- drop our sed's to differentiate between multimc and multimc-bin since we are
dropping the non-bin version anyway
- block against multimc-bin
- add bindist restriction to be safe
- keyword for x86, the desktop file runs a ~20 line script that fetches either
a 32 or 64 bit binary from upstream so this works on x86 as well
- add convenience symlink to be able to launch the app from cli as well
Closes: https://bugs.gentoo.org/828914
Package-Manager: Portage-3.0.29, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
...in-1.6.1.ebuild => multimc-bin-1.6.1-r1.ebuild} | 30 ++++++++++++++--------
1 file changed, 20 insertions(+), 10 deletions(-)
diff --git a/games-action/multimc-bin/multimc-bin-1.6.1.ebuild
b/games-action/multimc-bin/multimc-bin-1.6.1-r1.ebuild
similarity index 56%
rename from games-action/multimc-bin/multimc-bin-1.6.1.ebuild
rename to games-action/multimc-bin/multimc-bin-1.6.1-r1.ebuild
index 073f7213e4fa..a1e59d727d3e 100644
--- a/games-action/multimc-bin/multimc-bin-1.6.1.ebuild
+++ b/games-action/multimc-bin/multimc-bin-1.6.1-r1.ebuild
@@ -14,10 +14,16 @@
SRC_URI="https://files.multimc.org/downloads/multimc_$(ver_rs 2 -).deb"
# https://bugs.gentoo.org/814404
S="${WORKDIR}"
-KEYWORDS="-* ~amd64"
-LICENSE="Apache-2.0 Boost-1.0 BSD-2 BSD GPL-2+ LGPL-2.1-with-linking-exception
LGPL-3 OFL-1.1 MIT"
+KEYWORDS="-* ~amd64 ~x86"
+LICENSE="Apache-2.0 Boost-1.0 BSD-2 BSD GPL-3 GPL-2+
LGPL-2.1-with-linking-exception LGPL-3 OFL-1.1 MIT"
SLOT="0"
+# Despite the open source nature of the app, there is quite a large discrepancy
+# between the sources and the prebuilt binaries (source built versions of the
+# app are not usable due to missing keys/files). We restrict bindist to be on
+# the safe side (added files/keys are of unknown license).
+RESTRICT="bindist"
+
RDEPEND="
dev-qt/qtcore:5
dev-qt/qtwidgets:5
@@ -26,23 +32,27 @@ RDEPEND="
dev-qt/qtgui:5
dev-qt/qttest:5
dev-qt/qtxml:5
+ gnome-extra/zenity
sys-libs/zlib
>=virtual/jre-1.8.0
virtual/opengl
x11-libs/libXrandr
+ !games-action/multimc
"
QA_PREBUILT="*"
-src_install() {
- mv "${S}"/* "${ED}" || die
- # Rename the .desktop file to avoid file conflict with non-bin version
- mv "${ED}/usr/share/applications/multimc.desktop"
"${ED}/usr/share/applications/multimc-bin.desktop" || die
- # Change the name so we can differentiate from the non-bin version in
app menu
- # and remove empty options
+src_prepare() {
+ default
+ # Remove empty/deprecated options
sed -i \
- -e 's/Name=MultiMC 5/Name=MultiMC Official Binary/g' \
-e '/Path=/d' \
-e '/TerminalOptions=/d' \
- "${ED}/usr/share/applications/multimc-bin.desktop" || die
+ "usr/share/applications/multimc.desktop" || die
+}
+
+src_install() {
+ mv "${S}"/* "${ED}" || die
+ # add link to launch from PATH
+ dosym ../multimc/run.sh /opt/bin/multimc
}